# $Revision: 1.28 $, $Date: 2005/09/05 18:00:54 $
#
# Conditional build:
%define home_etc %{?_with_home_etc:1}%{!?_with_home_etc:0}

%define _pixmapsdir %{_datadir}/pixmaps 

Summary:	An open source reimplementation of the game "Transport Tycoon Deluxe"
Summary(pl):	Otwarta reimplementacja gry Transport Tycoon Deluxe
Name:		openttd
Version:	0.4.7
Release:	2
License:	GPL
Group:		Amusements/Games
Source0:	http://dl.sourceforge.net/openttd/%{name}-%{version}-source.tar.bz2
# Source0-md5:	ddd9790c86b7ccc68f60761704cbcf81
Source1:	%{name}.desktop
Source2:	%{name}-server.desktop
Source3:	http://dl.sourceforge.net/openttd/%{name}-%{version}-source-scenarios.zip
Patch0:		%{name}-home_etc.patch
Patch1:		openttd-0.4.7-personal-data.patch
URL:		http://www.openttd.com/
BuildRequires:	SDL-devel
%{?with_home_etc:BuildRequires:	home-etc-devel}
BuildRequires:	libpng-devel
BuildRequires:	sed >= 4
BuildRequires:	unzip
BuildRequires:	zlib-devel
Requires:	timidity++
Requires:	%{name}-data = %{version}-%{release}
Provides:	%{name}-binary = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
OpenTTD is modeled after the original Microprose Transport Tycoon game
by Chris Sawyer and enhances the game experience dramatically. Many
features were inspired by TTDPatch while others are original.

It requires the original Transport Tycoon Deluxe data files.

%description -l pl
OpenTTD powsta na bazie gry Transport Tycoon stworzonej przez Chrisa
Sawyera, jego grywalno jest jednak duo wiksza. Wiele rzeczy
zostao zainspirowanych przez TTDPatch, duo jest jednak oryginalnych
pomysw.

Do uruchomienia wymagane s pliki danych z Transport Tycoon Deluxe.

%ifnarch i586 i686 pentium3 pentium4 athlon
%package data
Summary:	OpenTTD data files
Summary(pl):	Pliki danych OpenTTD
Group:		Amusements/Games
Requires:	%{name}-binary = %{version}-%{release}

%description data
OpenTTD data files.

%description data -l pl
Pliki danych OpenTTD.
%endif

%package server
Summary:	OpenTTD dedicated server	
Summary(pl):	Dedykowany serwer OpenTTD
Group:		Amusements/Games
Requires:	%{name}-data = %{version}-%{release}
Provides:	%{name}-binary = %{version}-%{release}

%description server
This package contains OpenTTD dedicated server. Note that
graphics-enabled OpenTTD client also has this functionality.

%description server -l pl
Ten pakiet zawiera dedykowany serwer OpenTTD. Naley zwrci uwag,
e graficzny klient OpenTTD rwnie posiada t funkcjonalno.

%prep
%setup -q
pushd scenario
unzip %{SOURCE3}
popd
%{?with_home_etc:%patch0 -p1}
%patch1 -p1

# Let's pldize
find lang/ -type f -exec sed -i 's/:Unix/:Doors Linux/' \{\} \;

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="$RPM_OPT_FLAGS `sdl-config --cflags`" \
	LDFLAGS="$RPM_OPT_FLAGS -lpthread" \
	INSTALL=1 \
	PREFIX="" \
	BINARY_DIR="%{_bindir}" \
	DATA_DIR="%{_datadir}/%{name}/" \
	PERSONAL_DIR=".%{name}" \
	%{?with_home_etc:WITH_HOME_ETC=1} \
	USE_HOMEDIR=1 \
	WITH_NETWORK=1 \
	WITH_SDL= \
	WITH_PNG= \
	DEDICATED=1

mv openttd openttd-dedicated

%{__make} clean
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="$RPM_OPT_FLAGS `sdl-config --cflags`" \
	LDFLAGS="$RPM_OPT_FLAGS -lpthread" \
	INSTALL=1 \
	PREFIX="" \
	BINARY_DIR="%{_bindir}" \
	DATA_DIR="%{_datadir}/%{name}/" \
	PERSONAL_DIR=".%{name}" \
	%{?with_home_etc:WITH_HOME_ETC=1} \
	USE_HOMEDIR=1 \
	WITH_NETWORK=1 \
	WITH_SDL=1 \
	WITH_PNG=1 \
	DEDICATED=0

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man6,%{_pixmapsdir},%{_datadir}/%{name}/scenario}

%{__make} install \
	DEST_DIR=$RPM_BUILD_ROOT \
	ICON_DIR="%{_pixmapsdir}" \
	INSTALL=1 \
	PREFIX="/" \
	BINARY_DIR="%{_bindir}" \
	DATA_DIR="%{_datadir}/%{name}/"

install openttd-dedicated $RPM_BUILD_ROOT%{_bindir}
install scenario/* $RPM_BUILD_ROOT%{_datadir}/%{name}/scenario
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install docs/openttd.6 $RPM_BUILD_ROOT%{_mandir}/man6
install media/openttd.256.png $RPM_BUILD_ROOT%{_pixmapsdir}/openttd.png

%ifarch i586 i686 pentium3 pentium4 athlon
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -f $RPM_BUILD_ROOT%{_pixmapsdir}/*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt known-bugs.txt readme.txt docs/{Manual.txt,console.txt,multiplayer.txt}
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man6/*

%ifnarch i586 i686 pentium3 pentium4 athlon
%files data
%defattr(644,root,root,755)
%doc scripts
%{_datadir}/%{name}
%{_pixmapsdir}/*
%endif

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-dedicated
%{_desktopdir}/%{name}-server.desktop

%changelog
* Sat May 13 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.7-3
- do not build data package for i586, i686, pentium3, pentium4 and athlon
  architectures

* Tue Apr 11 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.7-2
- removed some Conflicts and Provides to avoid yum confusion

* Sun Apr  2 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.7-1
- update to 0.4.7

* Sun Apr  2 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.0.1-2
- rebuild for Doors 9.0 (FC5)

* Sat Jan 28 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.0.1-1
- adapted from PLD to Doors
